Welcome to the Linux Foundation Forum!

LFS258 LAB 3.1 step 18 - bad link to calico.yaml

Options

Step 18 the link for calico.yaml is bad.
This link shows a solution, but you are not allowed to use it during exam
https://docs.tigera.io/calico/3.25/getting-started/kubernetes/quickstart

  1. kubectl create -f https://raw.githubusercontent.com/projectcalico/calico/v3.25.0/manifests/tigera-operator.yaml
  2. kubectl create -f https://raw.githubusercontent.com/projectcalico/calico/v3.25.0/manifests/custom-resources.yaml
  3. watch kubectl get pods -n calico-system

pretty long winded url to memorize, anyone know where to find this in the docs that is allowed during the exam?

Comments

  • telcomx
    telcomx Posts: 15
    Options

    Hey thomasking156, I used the same workaround so wonder if we need to inform someone about broken link.

  • chrispokorni
    chrispokorni Posts: 2,199
    Options

    Hi @thomasking156 and @telcomx,

    The following command should work:

    kubectl apply -f https://raw.githubusercontent.com/projectcalico/calico/v3.25.0/manifests/calico.yaml

    Regards,
    -Chris

  • telcomx
    telcomx Posts: 15
    Options

    hi @chrispokorni unfortunately is not working either
    root@ip-172-31-21-182:~# kubectl apply -f https://raw.githubusercontent.com/projectcalico/calico/v3.25.0/manifests/calico.yaml
    The connection to the server localhost:8080 was refused - did you specify the right host or port?

  • chrispokorni
    chrispokorni Posts: 2,199
    Options

    Hi @telcomx,

    You are attempting to run kubectl as root, while the cluster admin credentials are set for a regular user (the student user in the lab guide).

    Regards,
    -Chris

  • thomasking156
    Options

    @telcomx said:
    Hey thomasking156, I used the same workaround so wonder if we need to inform someone about broken link.

    Hey @telcomx I opened a ticket for it yesterday, hopefully they will correct the content. I understand how hard it can be to keep track of external dependencies.

  • fcioanca
    fcioanca Posts: 1,946
    Options

    Hi @telcomx @thomasking156

    The course was updated to Kubernetes v1.26.1 and this link was also fixed as well in the new version. All course content-related issues must be flagged in the forum, not via the Support tickets.

    Regards,
    Flavia

Categories

Upcoming Training